<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * InstitucionesEgresos
 *
 * @ORM\Table(name="instituciones_egresos")
 * @ORM\Entity
 */
class InstitucionesEgresos
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_ins_egr", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideInsEgr;

    /**
     * @var string
     *
     * @ORM\Column(name="nom_ins", type="string", length=200, nullable=false)
     */
    private $nomIns;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_mov", type="date", nullable=false)
     */
    private $fecMov;



    /**
     * Get ideInsEgr
     *
     * @return integer
     */
    public function getIdeInsEgr()
    {
        return $this->ideInsEgr;
    }

    /**
     * Set nomIns
     *
     * @param string $nomIns
     *
     * @return InstitucionesEgresos
     */
    public function setNomIns($nomIns)
    {
        $this->nomIns = $nomIns;
    
        return $this;
    }

    /**
     * Get nomIns
     *
     * @return string
     */
    public function getNomIns()
    {
        return $this->nomIns;
    }

    /**
     * Set fecMov
     *
     * @param \DateTime $fecMov
     *
     * @return InstitucionesEgresos
     */
    public function setFecMov($fecMov)
    {
        $this->fecMov = $fecMov;
    
        return $this;
    }

    /**
     * Get fecMov
     *
     * @return \DateTime
     */
    public function getFecMov()
    {
        return $this->fecMov;
    }
}
